Search sites by text string across name, displayname, description, domain, enabled_scopes and attributes. Returns 10 best results.

Permission Level: Read

GET /users/site/search

Operation id: SiteService_SearchSiteByTextSearch

Tags: SiteService

Parameters

Query parameters

NameTypeRequiredDescription
displayNamestringNoText for the site to search on only this field: displayName. If used, site_text is ignored. Required: false
levelFilter.levelFilterTypestringNoEnum to define the type of filtering, Required: false, Default: EQUALS
levelFilter.siteTierstringNoSite tier to filter by, Required: true
pageSizeinteger (int32)NoItems per page. Required: false
pageTokenstringNoMongo DB Field, describes the encoded page token for page traversal, Required: false
scopestringNoScope. Required: false
siteTextstringNoText for the site to search on this fields: name, displayName, description, attributes(value, fieldName), domain. Required: true
tenantIdstringNoTenant of the site, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
sitesarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "sites": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "enabledScopes": {
            "type": "object"
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}